Package org.eclipse.lemminx.extensions.filepath.settings

## Class FilePathMapping

- java.lang.Object
- - org.eclipse.lemminx.settings.PathPatternMatcher
  - - org.eclipse.lemminx.extensions.filepath.settings.FilePathMapping

    public class FilePathMapping
    extends PathPatternMatcher

File path mapping which stores list of `FilePathExpression` applied for a given input file pattern.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`FilePathMapping()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<FilePathExpression>` `getExpressions()` Returns list of file path expressions.
`void` `setExpressions​(List<FilePathExpression> expressions)` Set list of file path expressions.

### Methods inherited from class org.eclipse.lemminx.settings.PathPatternMatcher

`equals, getPathMatcher, getPattern, matches, matches, setPathMatcher, setPattern`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilePathMapping

    public FilePathMapping()

### Method Detail

#### getExpressions

    public List<FilePathExpression> getExpressions()

Returns list of file path expressions.

Returns:
  list of file path expressions.

#### setExpressions

    public void setExpressions​(List<FilePathExpression> expressions)

Set list of file path expressions.

Parameters:
  `expressions` - list of file path expressions.